import React, { useContext, useRef } from 'react';
const NodesContext = React.createContext({
    openedNodes: {},
    setOpenNode: (_) => { },
});
export const useNodesContext = () => useContext(NodesContext);
const NodeProvider = ({ children }) => {
    const nodesOpenedRef = useRef({ root: true });
    const setOpenNode = ({ internalId, opened }) => {
        nodesOpenedRef.current = Object.assign(Object.assign({}, nodesOpenedRef.current), { [internalId]: opened });
    };
    return (<NodesContext.Provider value={{ openedNodes: nodesOpenedRef.current, setOpenNode }}>
      {children}
    </NodesContext.Provider>);
};
export { NodeProvider };
//# sourceMappingURL=nodes-context-provider.js.map